Package twisted :: Package manhole :: Module gladereactor

[frames | no frames]

## Module twisted.manhole.gladereactor

A modified gtk2 reactor with a Glade dialog in-process that allows you to stop, suspend, resume and inspect transports interactively.

Classes
`GladeReactor` | GTK+-2 event loop reactor with GUI.

Function Summary
| ``install`()` Configure the twisted mainloop to be run inside the gtk mainloop.

Variable Summary
`int` | `COLUMN_DESCRIPTION` = 0
`int` | `COLUMN_READING` = 2
`int` | `COLUMN_TRANSPORT` = 1
`int` | `COLUMN_WRITING` = 3

Function Details

### install()

Configure the twisted mainloop to be run inside the gtk mainloop.

Variable Details

### COLUMN_DESCRIPTION

  Type:
    `int`
  Value:

        0

### COLUMN_READING

  Type:
    `int`
  Value:

        2

### COLUMN_TRANSPORT

  Type:
    `int`
  Value:

        1

### COLUMN_WRITING

  Type:
    `int`
  Value:

        3

Generated by Epydoc 2.0 on Sat May 15 20:08:19 2004 | http://epydoc.sf.net